#[macro_export]
macro_rules! maybe_addr {
    ($addr:expr) => {
        $addr.map_or(std::sync::Arc::new("<unknown>".to_string()), |addr| {
            std::sync::Arc::new(addr.to_string())
        })
    };
}
